use moa_uapi::mem::MemCreateArgs;

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_MEM_CREATE)]
fn sys_mem_create(args: *const MemCreateArgs) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_RELEASE)]
fn sys_mem_release(mem: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_WRITE)]
fn sys_mem_write(mem: u32, offset: usize, data: *const u8, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_READ)]
fn sys_mem_read(mem: u32, offset: usize, buf: *mut u8, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_COPY)]
fn sys_mem_copy(dst: u32, dst_off: usize, src: u32, src_off: usize, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_PHYS_ADDR)]
fn sys_mem_phys_addr(mem: u32, offset: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MEM_CACHE_OP)]
fn sys_mem_cache_op(mem: u32, offset: usize, len: usize, op: usize) -> isize {
    ERR_NOSYS
}
